<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>de.ugoe.cs.autoquest</groupId>
        <artifactId>autoquest-test</artifactId>
        <version>0.1.2-SNAPSHOT</version>
        <relativePath>../autoquest-test/pom.xml</relativePath>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>autoquest-plugin-uml-test</artifactId>
    <licenses>
        <license>
            <name>The Apache Software License, Version 2.0</name>
            <url>http://www.apache.org/licenses/LICENSE-2.0.txt</url>
        </license>
    </licenses>
    <scm>
        <url>${autoquest-scm-trunk-dir}/${project.artifactId}</url>
        <connection>scm:svn:${autoquest-scm-trunk-dir}/${project.artifactId}</connection>
    </scm>
    
    <repositories>
		<repository>
			<id>autoquest-thirdparty-repo</id>
			<url>https://trex.informatik.uni-goettingen.de/nexus/content/repositories/thirdparty</url>
		</repository>
	</repositories>
    
    <properties>
        <tested-artifactId>autoquest-plugin-uml</tested-artifactId>
    </properties>
    <dependencies>
        <dependency>
            <groupId>de.ugoe.cs.autoquest</groupId>
            <artifactId>autoquest-ui-core</artifactId>
            <version>${project.parent.version}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>de.ugoe.cs.autoquest</groupId>
            <artifactId>autoquest-core-testgeneration</artifactId>
            <version>${project.parent.version}</version>
        </dependency>
        <!-- 
        <dependency>
			<groupId>org.eclipse.emf</groupId>
			<artifactId>org.eclipse.emf.common</artifactId>
			<version>2.9.2</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.emf</groupId>
			<artifactId>org.eclipse.emf.ecore</artifactId>
			<version>2.9.2</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.emf</groupId>
			<artifactId>org.eclipse.emf.ecore.xmi</artifactId>
			<version>2.9.1</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.emf</groupId>
			<artifactId>org.eclipse.emf.mapping.ecore2xml</artifactId>
			<version>2.7.0</version>
		</dependency>

		<dependency>
			<groupId>org.eclipse.uml2</groupId>
			<artifactId>org.eclipse.uml2.common</artifactId>
			<version>1.8.2</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.uml2</groupId>
			<artifactId>org.eclipse.uml2.types</artifactId>
			<version>1.1.0</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.uml2</groupId>
			<artifactId>org.eclipse.uml2.uml</artifactId>
			<version>4.1.2</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.uml2</groupId>
			<artifactId>org.eclipse.uml2.uml.profile.l2</artifactId>
			<version>1.1.0</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.uml2</groupId>
			<artifactId>org.eclipse.uml2.uml.profile.l3</artifactId>
			<version>1.1.0</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.uml2</groupId>
			<artifactId>org.eclipse.uml2.uml.resources</artifactId>
			<version>4.1.0</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.emf</groupId>
			<artifactId>org.eclipse.emf.validation</artifactId>
			<version>1.7.0</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.equinox</groupId>
			<artifactId>org.eclipse.equinox.common</artifactId>
			<version>3.6.2</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.equinox</groupId>
			<artifactId>org.eclipse.equinox.registry</artifactId>
			<version>3.5.3</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.core</groupId>
			<artifactId>org.eclipse.core.expressions</artifactId>
			<version>3.4.5</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.osgi</groupId>
			<artifactId>org.eclipse.osgi</artifactId>
			<version>3.9.1</version>
		</dependency>
        <dependency>
           <groupId>eu.midas_project</groupId>
           <artifactId>ConstraintValidator</artifactId>
           <version>0.2</version>
        </dependency>-->
    </dependencies>
</project>